Videos APIEndpoints

Fetch an A/B test

GET
/v1/ab_tests/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/ab_tests/68c1f0a0000000000000ab01"
{  "id": "68c1f0a0000000000000ab01",  "status": "running",  "name": "Home page test",  "folder_id": "68c1f0a00000000000000f01",  "started_at": "2026-09-03T12:00:00.000Z",  "created_at": "2026-09-01T12:00:00.000Z",  "updated_at": "2026-09-03T12:00:00.000Z",  "variants": [    {      "video_id": "68c1f0a00000000000000e01",      "traffic_percentage": 60,      "locked": false,      "started_at": "2026-09-03T12:00:00.000Z"    },    {      "video_id": "68c1f0a00000000000000e02",      "traffic_percentage": 40,      "locked": true,      "started_at": "2026-09-03T12:00:00.000Z"    }  ]}